Search Results for

Show / Hide Table of Contents

# Class HexView.HexViewEventArgs

Defines the event arguments for PositionChanged event.

##### Inheritance

System.Object
HexView.HexViewEventArgs

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class HexViewEventArgs : EventArgs

### Constructors

#### HexViewEventArgs(Int64, Point, Int32)

Initializes a new instance of HexView.HexViewEventArgs

##### Declaration

    public HexViewEventArgs(long pos, Point cursor, int lineLength)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | pos | The character position.
Point | cursor | The cursor position.
System.Int32 | lineLength | Line bytes length.

### Properties

#### BytesPerLine

The bytes length per line.

##### Declaration

    public int BytesPerLine { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### CursorPosition

Gets the current cursor position starting at one for both, line and column.

##### Declaration

    public Point CursorPosition { get; }

##### Property Value

Type | Description
--- | ---
Point |

#### Position

Gets the current character position starting at one, related to the System.IO.Stream.

##### Declaration

    public long Position { get; }

##### Property Value

Type | Description
--- | ---
System.Int64 |